Do you still offer the VyprVPN app for OSX 10.10 Yosemite?

As of VyprVPN for Mac version 2.20.0, we have discontinued support for Mac OSX 10.10 Yosemite. This decision came about due to some of the technical aspects and limitations of supporting both the older and newer versions of OSX.

We realize some of our customers will still be operating on Mac OSX 10.10 Yosemite, and you can set up a manual VPN connection using one of our tutorials. Click here to visit our manual setup page. See the relevant sections for your version of OSX.

If you have any questions, please contact support and we'll be happy to help!

Last reviewed/updated August 2019


Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request